package com.xkrs.service;

import java.io.UnsupportedEncodingException;

/**
 * @author xkrs
 */
public interface FireAndRangerService {

    /**
     * 将火点分配给护林员
     * @param token
     * @param rangerName
     * @param fireCode
     * @param handler
     * @param verifier
     * @return
     */
    String addFireAndRanger(String rangerName, String fireCode, String handler, String verifier, String token) throws UnsupportedEncodingException;

    /**
     * 护林员查看自己的火点任务
     * @param token
     * @return
     */
    String selectFireInformation(String token);

    /**
     * 根据火点编码查询处理的信息
     * @param fireCode
     * @return
     */
    String findFireAndRangerByFireCode(String fireCode, String token) throws Exception;
}
